package com.ltgk.boat.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.ltgk.boat.domain.entity.DsOutPortCountry;
import org.apache.ibatis.annotations.Mapper;

@Mapper
public interface DsOutPortCountryMapper extends BaseMapper<DsOutPortCountry> {
    int deleteByPrimaryKey(String id);

    int insert(DsOutPortCountry record);

    int insertSelective(DsOutPortCountry record);

    DsOutPortCountry selectByPrimaryKey(String id);

    int updateByPrimaryKeySelective(DsOutPortCountry record);

    int updateByPrimaryKey(DsOutPortCountry record);
}